Bug 1273746 - Duplicated node records are reported by diagnostics
Duplicated node records are reported by diagnostics
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Devan Goodwin
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 03:36 EDT by Anping Li
Modified: 2017-08-25 11:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-25 11:51:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2015-10-21 03:36:28 EDT
Description of problem:
Duplicated records are reported on 'Searching for a node with master IP'.


Version-Release number of selected component (if applicable):
puddle/2015-10-20.2

How reproducible:
always

Steps to Reproduce:
1. setup 1 master, 2 nodes environment
2. run openshift ex diagnostics --diaglevel=0
3. check the output


Actual results:

#Duplicated record are showing.

debug: Seaching for a node with master IP: [10.66.79.161]
debug: Checking node openshift-140.lab.eng.nay.redhat.com address 10.66.79.140
debug: Checking node openshift-140.lab.eng.nay.redhat.com address 10.66.79.140
debug: Checking node openshift-145.lab.eng.nay.redhat.com address 10.66.79.145
debug: Checking node openshift-145.lab.eng.nay.redhat.com address 10.66.79.145
debug: Checking node openshift-161.lab.eng.nay.redhat.com address 10.66.79.161

Expected results:
No duplicated records

Additional info:
Comment 1 Luke Meyer 2015-10-21 10:04:36 EDT
It's debug output; I wouldn't consider it important. I'm curious though if there is some logic attempting to look for multiple IPs per node and maybe falling short; dgoodwin can you comment?
Comment 2 Devan Goodwin 2015-10-22 07:51:00 EDT
It checks every IP on every node, I suspect public/private IPs are the same in this case and getting double queried. I can optimize that to never lookup the same address twice.

Bug looks correctly prioritized (low/low). I will look at this when things calm down.

Note You need to log in before you can comment on or make changes to this bug.